Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/gui-sdl3/widget_p.h File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Macros | Functions
widget_p.h File Reference

Go to the source code of this file.

## Macros

#define | STATE_MASK 0x03 /* 0..0000000000000011 */
#define | TYPE_MASK 0x03FC /* 0..0000001111111100 */
#define | FLAG_MASK 0xFFFFFC00 /* 1..1111110000000000 */

## Functions

struct widget * | widget_new (void)
void | correct_size_bcgnd_surf (SDL_Surface *ptheme, int *pwidth, int *height)
SDL_Surface * | get_buffer_layer (int width, int height)
int | redraw_iconlabel (struct widget *label)

## Macro Definition Documentation

## ◆ FLAG_MASK

#define FLAG_MASK 0xFFFFFC00 /* 1..1111110000000000 */

Definition at line 19 of file widget_p.h.

## ◆ STATE_MASK

#define STATE_MASK 0x03 /* 0..0000000000000011 */

Definition at line 17 of file widget_p.h.

## ◆ TYPE_MASK

#define TYPE_MASK 0x03FC /* 0..0000001111111100 */

Definition at line 18 of file widget_p.h.

## Function Documentation

## ◆ correct_size_bcgnd_surf()

void correct_size_bcgnd_surf | ( | SDL_Surface * | ptheme,
|  | int * | width,
|  | int * | height
| ) |  |

Correct background size ( set min size ). Used in create widget functions.

Definition at line 63 of file widget.c.

Referenced by combo_new(), create_edit(), and create_icon_button().

## ◆ get_buffer_layer()

SDL_Surface * get_buffer_layer | ( | int | width,
|  | int | height
| ) |  |

## ◆ redraw_iconlabel()

int redraw_iconlabel | ( | struct widget * | label | ) |

Blit iconlabel gfx to surface its on.

Definition at line 436 of file widget_label.c.

Referenced by convert_iconlabel_to_themeiconlabel2(), create_themelabel2(), redraw_label(), and redraw_textcheckbox().

## ◆ widget_new()

struct widget * widget_new | ( | void |  | ) |

Create a new widget.

Definition at line 252 of file widget_core.c.

Referenced by combo_new(), create_checkbox(), create_edit(), create_horizontal(), create_icon2(), create_icon_button(), create_iconlabel(), create_textcheckbox(), create_themeicon(), create_themelabel(), create_themelabel2(), create_vertical(), and create_window_skeleton().